GNU bug report logs - #37630
27.0.50; image-mode-fit-frame doesn't

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Eli Zaretskii <eliz@HIDDEN>; dated Sat, 5 Oct 2019 09:11:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 9 Oct 2019 18:12:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Oct 09 14:12:19 2019
Received: from localhost ([127.0.0.1]:54083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iIGRf-0004En-DD
	for submit <at> debbugs.gnu.org; Wed, 09 Oct 2019 14:12:19 -0400
Received: from mout.gmx.net ([212.227.15.19]:53399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iIGRb-0004EV-BB
 for 37630 <at> debbugs.gnu.org; Wed, 09 Oct 2019 14:12:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570644725;
 bh=c5pmysXiLgjtsAzol1hJ0mF4bhLIiSnBPHRG13prDm4=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=aN06bIt+hxVuiKpIVmA/JDt2wnDLS2KV5Lmcq/RHDP75a0r4V8pU/bezcpjcIUYJj
 QOfOqTjv7PHZ6A2tABnyfrduK+Z2MyCDmj053lOolNXTk93cNm8bzF6zofVX+APKXn
 sTySAUlauGwKpt/BLVyBhD81wTKT8w07fUocjrpA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.31]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MLiCo-1iZvoi3aW8-00HjWV; Wed, 09
 Oct 2019 20:12:05 +0200
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
To: Eli Zaretskii <eliz@HIDDEN>
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN> <871rvp86ks.fsf@HIDDEN>
 <83sgo4zfnf.fsf@HIDDEN> <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN>
 <83mueby4z2.fsf@HIDDEN> <64b8489c-990b-1054-5301-488e0379befb@HIDDEN>
 <83h84jxxkv.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <eef50e8a-0b4f-8a90-a0cc-ec6d88ecb1ab@HIDDEN>
Date: Wed, 9 Oct 2019 20:12:01 +0200
MIME-Version: 1.0
In-Reply-To: <83h84jxxkv.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:rbcV/G2iY63Ggok3b4BepFl568DWgZXG71A5t/PWkuiyjFkLCAU
 Q1ElK80aM96btfN8bSyVDhJ0RTvW0MwuUh0UE119Rd/DIDcTYq77EXQ3IP9LpC/H5L756Cc
 e+ysrI+PIMUnyNidwc0P7lPBeGM0I1zD9TT3QBrBHiMvQaGDcdagXZ8o5QVaZKiuc8jjprZ
 vxK8mPgpIzUmkJhmhvweg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:QD2jLy/Hdgg=:nXqwdso8euu0kgW2XbcNCQ
 0pIiNNuJindpa6XjKkZPuMlns1CDBSmckq7jPbn0MvDF8ZOs8fx0kSlcfPJPWi9w/PZ3nYRj2
 XlUjZ14aQA3WK0y4GTWIoLACKFTlbVG9EN2A1lnJMGCmfX9vfWQcIY62m403Vfwl5s/P0bcVa
 idsl6PqffEnrPQw+lL+7ueyBbYxFwVijjQqu2ZrP8ZwDPMR8UBRscAB5SZ1zKB6n8CDnjrNS1
 L2E0AgHhOpCszD9C4NsV5D3U1LpHt7vWbM8a27fipGSGjBidO7NoMaIGFkdwHxzpTYF/sw6jd
 MxtmmrZCdmAl0RZssiSaugjIgcal9jilNh0MWrVutxJrPsOfjMe/5YwfvrB0e9f0KLBpNx9AT
 9uNVYMIzDXZYtQr5nirhLsDcmCYLWpIEbi3l5Lq0xL/Fokvlho6FUN0JJfVGHHTzW359Y+sAg
 Z5aYYh9pLirRDdDqk7D6QEIS4fIUFiIiEZTdMAYvG89b903tPHgcHlmJyw0wWZWV3G6g9ISBD
 gm7+Y26if0aW+yGe/xfwjchJ5QLRHurIKV3bMwVrdPcrsLf0tpNEYUS6TpeAAuoNlF3+a4rtL
 m7lvv4SJYdoiy0O1iN2w4OR+Pq1Sq65oXrn/M8fr+Q3i2d0ZEi+bu6LCpZXyMsBRHGpX2M7Si
 a4yIamdf2z6Xikf+Q/MaqBmrg7wN1iPrasVBksa5L/0bsbRjFPioe0VPe6LE49kzoowQ2XpvN
 a1RtowhXMcvq5529sGmOLK1Ekmyctb9Dg6imqMK06Z0K4lGvQMyy9UTieF63we2ibMafTxui3
 2pegXBhr35SYkOcMKcq2lWQHD8P9vaHM1HDpq4+/opeU0qHBqNFqcRLrYE8xZVE5L2xz7Di+P
 14YadEZw2jxhui2crlPmYI7oLFOIVr8lrAZNmucWSqEHbnZVHM99sTFFISgY8qgawhE+IRYAS
 tnU8PMg5LmQ8Jn8zGahzsEcTVrByUm3JxnCo4IBcl6Thcb8V9TkPIGo+yZ05VdTHZh7TNn4NY
 ZKDG2QLIs8Mn/Rx99JdqfmeuNo2L/dqJz4i1tGWbz6FyZtpmLZoJm5OYDwqImEYeDDkUS9kLU
 ZQqmDA7DKRJBdjecnDYYiN6FZs1xi+vC92OZlzBPHiWmYw+OH916yuEroepeXAKLjT3V5XaSg
 t/ePZhRFMMHAqcxPPwa9xmUId1qLpAXgAr5SIoxGiO24q1347WpNXl4oZ3dim9i989wK2Ywld
 28rlsaR4BWwdXgYvebnXO/B4Gyo57hVwbTcnL5tHt+SH7hTaKXWgnOAi8Itk=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37630
Cc: larsi@HIDDEN, 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 >> You mean we should settle on the same
 >> image if we find one we both can display.
 >
 > That would help, yes.

I updated MSYS2 and can display splash.svg now.  But that's a truly
hard case because the image is so small.  Fitting the frame to it not
only wraps the tool bar here to three lines but also gets me a two
lines menu bar.  The latter, in particular, is something we can hardly
handle on Windows ...

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 8 Oct 2019 16:45:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 12:45:40 2019
Received: from localhost ([127.0.0.1]:51378 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHscF-0007qn-Kn
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 12:45:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35650)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iHscD-0007jS-IS
 for 37630 <at> debbugs.gnu.org; Tue, 08 Oct 2019 12:45:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46683)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iHsc7-0002fv-SC; Tue, 08 Oct 2019 12:45:32 -0400
Received: from [176.228.60.248] (port=4229 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iHsc5-0005uZ-OW; Tue, 08 Oct 2019 12:45:30 -0400
Date: Tue, 08 Oct 2019 19:45:26 +0300
Message-Id: <83y2xvw5i1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87d0f71aiv.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 08 Oct 2019 18:12:40 +0200)
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN>
 <871rvp86ks.fsf@HIDDEN> <83sgo4zfnf.fsf@HIDDEN>
 <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN>
 <871rvn2q8v.fsf@HIDDEN> <831rvnxm1s.fsf@HIDDEN> <87d0f71aiv.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37630
Cc: rudalics@HIDDEN, 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: rudalics@HIDDEN,  37630 <at> debbugs.gnu.org
> Date: Tue, 08 Oct 2019 18:12:40 +0200
> 
> We don't want to have half a line at the bottom of the frame.

But that's only possible when resizing pixel-wise, no?

> I don't really understand the utility of this command, though.

I think it was written to allow popping up frames with minimal/no
decorations that show only the image.  But that's a guess.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 8 Oct 2019 16:12:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 12:12:47 2019
Received: from localhost ([127.0.0.1]:51299 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHs6R-0006Jj-51
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 12:12:47 -0400
Received: from quimby.gnus.org ([80.91.231.51]:39036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iHs6P-0006JZ-5V
 for 37630 <at> debbugs.gnu.org; Tue, 08 Oct 2019 12:12:45 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iHs6L-0007BE-0W; Tue, 08 Oct 2019 18:12:43 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN>
 <871rvp86ks.fsf@HIDDEN> <83sgo4zfnf.fsf@HIDDEN>
 <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN>
 <871rvn2q8v.fsf@HIDDEN> <831rvnxm1s.fsf@HIDDEN>
Date: Tue, 08 Oct 2019 18:12:40 +0200
In-Reply-To: <831rvnxm1s.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 08 Oct
 2019 19:02:39 +0300")
Message-ID: <87d0f71aiv.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > Why are we calculating
 the size in lines instead of pixels? Could > that be the source of the
 problem?
 Yeah, I wondered that, too. Perhaps it's a historical artefact (I think the
 pixel-wise options were added later?), but I think that perhaps we do want
 to resize the frame on a line basis: We don't wan [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37630
Cc: rudalics@HIDDEN, 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

> Why are we calculating the size in lines instead of pixels?  Could
> that be the source of the problem?

Yeah, I wondered that, too.  Perhaps it's a historical artefact (I think
the pixel-wise options were added later?), but I think that perhaps we
do want to resize the frame on a line basis: We don't want to have half
a line at the bottom of the frame.

Perhaps?

I don't really understand the utility of this command, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 8 Oct 2019 16:02:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 12:02:53 2019
Received: from localhost ([127.0.0.1]:51295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHrwr-00064l-0x
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 12:02:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iHrwp-00064Z-Cj
 for 37630 <at> debbugs.gnu.org; Tue, 08 Oct 2019 12:02:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45519)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iHrwi-0007Zk-4M; Tue, 08 Oct 2019 12:02:45 -0400
Received: from [176.228.60.248] (port=1626 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iHrwg-0003fm-TV; Tue, 08 Oct 2019 12:02:43 -0400
Date: Tue, 08 Oct 2019 19:02:39 +0300
Message-Id: <831rvnxm1s.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <871rvn2q8v.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 08 Oct 2019 17:47:44 +0200)
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN>
 <871rvp86ks.fsf@HIDDEN> <83sgo4zfnf.fsf@HIDDEN>
 <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN> <871rvn2q8v.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37630
Cc: rudalics@HIDDEN, 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  37630 <at> debbugs.gnu.org
> Date: Tue, 08 Oct 2019 17:47:44 +0200
> 
> In my experiments, this wasn't what failed.  (window-inside-edges)
> claimed that there was one more line in the frame than there actually is
> (but only in --with-x-toolkit=no builds; it computes the correct height
> in Gtk builds).

Why are we calculating the size in lines instead of pixels?  Could
that be the source of the problem?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 8 Oct 2019 15:47:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 11:47:50 2019
Received: from localhost ([127.0.0.1]:51259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHriI-0003aI-As
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 11:47:50 -0400
Received: from quimby.gnus.org ([80.91.231.51]:38452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iHriG-0003aB-Na
 for 37630 <at> debbugs.gnu.org; Tue, 08 Oct 2019 11:47:49 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iHriD-0006s4-CO; Tue, 08 Oct 2019 17:47:47 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN>
 <871rvp86ks.fsf@HIDDEN> <83sgo4zfnf.fsf@HIDDEN>
 <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN>
Date: Tue, 08 Oct 2019 17:47:44 +0200
In-Reply-To: <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN> (martin rudalics's
 message of "Tue, 8 Oct 2019 10:43:51 +0200")
Message-ID: <871rvn2q8v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  martin rudalics <rudalics@HIDDEN> writes: > Looking at the
 code of 'image-mode-fit-frame' I can't find anything > wrong with > >
 (set-frame-height
 frame (+ (ceiling (cdr size)) > height (- inner-height))) > > and would be
 surprised if this fa [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37630
Cc: Eli Zaretskii <eliz@HIDDEN>, 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

martin rudalics <rudalics@HIDDEN> writes:

> Looking at the code of 'image-mode-fit-frame' I can't find anything
> wrong with
>
> 	  (set-frame-height frame (+ (ceiling (cdr size))
> 				     height (- inner-height)))
>
> and would be surprised if this failed unless some frame properties
> changed in between the 'frame-height' and the 'window-inside-edges'
> calls.

In my experiments, this wasn't what failed.  (window-inside-edges)
claimed that there was one more line in the frame than there actually is
(but only in --with-x-toolkit=no builds; it computes the correct height
in Gtk builds).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 8 Oct 2019 11:53:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 07:53:52 2019
Received: from localhost ([127.0.0.1]:49663 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHo3s-0001wZ-0r
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 07:53:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44723)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iHo3q-0001wM-Rz
 for 37630 <at> debbugs.gnu.org; Tue, 08 Oct 2019 07:53:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40765)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iHo3l-0006mE-7y; Tue, 08 Oct 2019 07:53:45 -0400
Received: from [176.228.60.248] (port=2316 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iHo3i-0005cf-NI; Tue, 08 Oct 2019 07:53:45 -0400
Date: Tue, 08 Oct 2019 14:53:36 +0300
Message-Id: <83h84jxxkv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <64b8489c-990b-1054-5301-488e0379befb@HIDDEN> (message from
 martin rudalics on Tue, 8 Oct 2019 11:25:05 +0200)
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN> <871rvp86ks.fsf@HIDDEN>
 <83sgo4zfnf.fsf@HIDDEN> <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN>
 <83mueby4z2.fsf@HIDDEN> <64b8489c-990b-1054-5301-488e0379befb@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37630
Cc: larsi@HIDDEN, 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: larsi@HIDDEN, 37630 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Tue, 8 Oct 2019 11:25:05 +0200
> 
>  > Which JPG image did you use?
> 
> One of me, in the mountains.  You mean we should settle on the same
> image if we find one we both can display.

That would help, yes.

>  >> doesn't look like TRT when FRAME is not the selected frame but so far
>  >> I have no idea how this code is supposed to behave at all.  In either
>  >> case, make sure the 'image-mode-saved-params' parameter is nil before
>  >> calling 'image-mode-fit-frame'.
>  >
>  > My recipe is in "emacs -Q",
> 
> I'm using emacs -Q too but which ...
> 
>  > so I guess this condition holds?
> 
> ... condition do you mean here?

The condition "make sure the 'image-mode-saved-params' parameter is
nil before calling 'image-mode-fit-frame'".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 8 Oct 2019 09:25:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 05:25:20 2019
Received: from localhost ([127.0.0.1]:49562 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHlk7-0002fD-Jd
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 05:25:19 -0400
Received: from mout.gmx.net ([212.227.15.19]:39391)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iHlk5-0002em-CP
 for 37630 <at> debbugs.gnu.org; Tue, 08 Oct 2019 05:25:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570526707;
 bh=Zct6Hh7oKVujLttYA6724jMifjNmlnCK+dARU6KgbLI=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=PkNlE5xr7H4nxq7RVf+NNOu8gQH/2tK0mOrAQ+eUXzQ4VHBnbnC0G/naRlWyZGnMD
 vHuEF4BI7d9UqcgaJ06g6sbCRMhHpGfz/yPezlWKJ4nB9epwEgr4KTF1MYNAg5CLK2
 TVTb2Cn9DnwlSz1UoTPa09alqwMJUyZmN5a+8Ajw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.8]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MtOKi-1hxUjc3xfC-00uuHF; Tue, 08
 Oct 2019 11:25:07 +0200
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
To: Eli Zaretskii <eliz@HIDDEN>
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN> <871rvp86ks.fsf@HIDDEN>
 <83sgo4zfnf.fsf@HIDDEN> <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN>
 <83mueby4z2.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <64b8489c-990b-1054-5301-488e0379befb@HIDDEN>
Date: Tue, 8 Oct 2019 11:25:05 +0200
MIME-Version: 1.0
In-Reply-To: <83mueby4z2.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:dyfkqbclBjXX7QXbKv/9HkMXQdrKx8YzoGFRutTXb1tHQBjk8g8
 lB+wAhgARqaj6UqZreQggMO8gRaKE8KcJF8/AOV4K90R3lDwkgbS1tvl4iVVegWeHdtyxtd
 IjMx3U8tVV/tJ1LwU8et2nNuMuyeBQXm/XM0XcPlNlH7FP0sE2U+9tMx+NgCQNoS8hFCzol
 aD+TgHCF0iFNZJfZZO9Qw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PAp3nJgDxVg=:EYxCBk27Gep5LuT2GH5AHx
 72fzH3JlXcIIfAdCqHcjxRKdjwTGjXaYmmirPqQsZY01zI5SnxBzna2BOJwJdCp/QxjHY0St8
 RoQWA8gsOp3xWDxqx0DNnZ4qfxrTugIbZTACl536gxE5ujQDj/+Qi7w00jDTEd4lPRbNzJqDg
 WrloBy0EZJbA7v/xh9eqK8v3ZKVNXFN3fK75iiPmXPKSURJu1Q9ewEGyAP4TKDSa+3CH3PCmE
 SUF4e4+V+QkZRg4XoZjmgpP3OjUx0UuFhs+7CVa8LJ+SQpbY12DqfcFB/Cx3xKgv7RKfbiUON
 muvS0ewXILsBfU1iq6y4ZvGQc5SiZIlG96SkKhvvOi+Qq/n303eERU3Rt7q8JJ1+64U5C1vmi
 86H9cqwmyGvRi3GTNDWqeATcG4Kv8LjEL9W5IoFrbphGRFMfforcaAmgzqhJOss9mTvO1FtR1
 S0GwrvwAvGJNK7PVUFP7TCMEO78YHYRCJmwSlB7GBRhFpnDwSe7YIugfJuXClfSX9QJAS8tbA
 VNJ+ixRkHqvawaDCEZGWWxX34HmcTOvUB9eOTDIrIVpVRciwBgMkqWvxtX0YKXi4k5guRHye2
 +W4bA07Zxx8UywxNnKBgorBVSpp3cI9gS7rVGmfDNmtRb6ix3jELoKfM8ohbSU3fbnvzmmL3u
 MF3bN6GxQMiPwGGtJCiQZG+n5rF4si9WyGuCRuipQUGbpTIZZ4rYbkSmhYfTyqsg3t7OMEJHV
 Q4lNdTn8jSejTSPjSaoacTIW+TiKHBr3xcmGEADRTlauxtyLOoPBxQEmpZ4/nTD2VHz412TJq
 Pu3olM6aOD54D/y4aJhIX6Q6gLJ3kCoQVNam8KN6I9cArF4Oeq66fRNkNAqN27yplUxfn+8hK
 87aE34DneTVsrY9rrYwpL5IydLKRPcZ5dNiqyulEByRnkwgQsPOd0A5YZHCgYBQ1OtRLq9KaW
 ST1+NQcZUePu1hr/E8iGTQM7STLi3HFcqGz3PDyYDnRsezdXmqdtPA9+VYUqYTedql14NwSEQ
 Klzu/2jj3QulMBqOfpDvYGGkGJHDC3ZWQd/l32x8cTP1+bJKXx/bl5yUK9Y7/k9jCM+qj10/s
 3EqHl937JXxXPn8D9ar9QS5Q0YLBn0Wl4OHrPmgs5443HrYaio1hsDaamZXcp/3lXhXBsw69d
 x6c2sGALrIqe4qebqJqzKOPPoJFKWA98SRhsAL8Rim7DguMzmudAJD/sABa7iBzR1gZKpHvxn
 J80WEcb+P5PShb9UBNnh/zqMXbKB6/WSvPISwZEeajKjhm7aEpdMuls2AwIU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37630
Cc: larsi@HIDDEN, 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > Which JPG image did you use?

One of me, in the mountains.  You mean we should settle on the same
image if we find one we both can display.

 >> Looking at the code of 'image-mode-fit-frame' I can't find anything
 >> wrong with
 >>
 >> 	  (set-frame-height frame (+ (ceiling (cdr size))
 >> 				     height (- inner-height)))
 >>
 >> and would be surprised if this failed unless some frame properties
 >> changed in between the 'frame-height' and the 'window-inside-edges'
 >> calls.  Maybe it's also the strange saving modus that interferes in
 >> your setups.  The
 >>
 >> 			       (list (cons (frame-width)
 >> 					   (frame-height))
 >>
 >> doesn't look like TRT when FRAME is not the selected frame but so far
 >> I have no idea how this code is supposed to behave at all.  In either
 >> case, make sure the 'image-mode-saved-params' parameter is nil before
 >> calling 'image-mode-fit-frame'.
 >
 > My recipe is in "emacs -Q",

I'm using emacs -Q too but which ...

 > so I guess this condition holds?

... condition do you mean here?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 8 Oct 2019 09:14:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 05:14:05 2019
Received: from localhost ([127.0.0.1]:49531 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHlZF-0002MX-7d
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 05:14:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53442)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iHlZD-0002Lu-F5
 for 37630 <at> debbugs.gnu.org; Tue, 08 Oct 2019 05:14:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38687)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iHlZ7-0004j4-7z; Tue, 08 Oct 2019 05:13:57 -0400
Received: from [176.228.60.248] (port=4453 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iHlZ6-0001KY-Eh; Tue, 08 Oct 2019 05:13:57 -0400
Date: Tue, 08 Oct 2019 12:13:53 +0300
Message-Id: <83mueby4z2.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
In-reply-to: <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN> (message from
 martin rudalics on Tue, 8 Oct 2019 10:43:51 +0200)
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN> <871rvp86ks.fsf@HIDDEN>
 <83sgo4zfnf.fsf@HIDDEN> <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37630
Cc: larsi@HIDDEN, 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 37630 <at> debbugs.gnu.org
> From: martin rudalics <rudalics@HIDDEN>
> Date: Tue, 8 Oct 2019 10:43:51 +0200
> 
>  > I hope Martin will help us out here.
> 
> If he only could (I don't use Emacs for images).  On my MSYS 64 bit
> build, I can't display splash.svg getting the somewhat vague error
> 
> Using vacuous schema
> Type C-c C-c or C-c C-x to view the image as an image or hex.
> Cannot display image: (Invalid image specification)

Are you unable to display SVG images in general?

Anyway, I get the same incorrect behavior if I use splash.png.  I
don't think it matters which image format of the splash image you use,
you will get the same behavior.  So just use whatever image types your
build supports.

> When I instead try to display some jpg image here via C-x C-f I first
> get a separate frame which is slightly larger than that image: When I
> now do M-x image-mode-fit-frame in that frame, the frame resizes as
> expected without any cropping.

Which JPG image did you use?

> Looking at the code of 'image-mode-fit-frame' I can't find anything
> wrong with
> 
> 	  (set-frame-height frame (+ (ceiling (cdr size))
> 				     height (- inner-height)))
> 
> and would be surprised if this failed unless some frame properties
> changed in between the 'frame-height' and the 'window-inside-edges'
> calls.  Maybe it's also the strange saving modus that interferes in
> your setups.  The
> 
> 			       (list (cons (frame-width)
> 					   (frame-height))
> 
> doesn't look like TRT when FRAME is not the selected frame but so far
> I have no idea how this code is supposed to behave at all.  In either
> case, make sure the 'image-mode-saved-params' parameter is nil before
> calling 'image-mode-fit-frame'.

My recipe is in "emacs -Q", so I guess this condition holds?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 8 Oct 2019 08:44:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 08 04:44:07 2019
Received: from localhost ([127.0.0.1]:49467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHl6E-0001bU-Ow
	for submit <at> debbugs.gnu.org; Tue, 08 Oct 2019 04:44:06 -0400
Received: from mout.gmx.net ([212.227.17.21]:36665)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1iHl6D-0001ad-Bg
 for 37630 <at> debbugs.gnu.org; Tue, 08 Oct 2019 04:44:05 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1570524234;
 bh=9ZV3njBvBhPwONJzvt8vDhv6p4MyxsmIcM1qbGSTfDg=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=YS3seKdeSrrHzIfbViD5hY2Jq20I9aLq0hTwL2qwhRePox/y5sXbCzULuQeZS/3ir
 QZtsBO5n5u/NnIWSM7p7y0JzO9K6VW+60yeiYJzuQghRzzZejxgymiuOfltiDwS5Er
 4dQcQQiuhnl4zEWN0Utr6NZEEoOypkmp5ZSi04Hs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.114]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MQ5vc-1iUuEc1dqa-00M6Bw; Tue, 08
 Oct 2019 10:43:54 +0200
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
To: Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN> <871rvp86ks.fsf@HIDDEN>
 <83sgo4zfnf.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <0d475083-0f51-ed60-95f4-970fa67df241@HIDDEN>
Date: Tue, 8 Oct 2019 10:43:51 +0200
MIME-Version: 1.0
In-Reply-To: <83sgo4zfnf.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:pd8aUO95QAbI7uqSpQJqNdg3RCpv9kkJKsb8177ESJzJj09uYhU
 QSZSEj2p6LIbAiaCjb8fQEB6jRcYMeTEAE5QYLs9nZujit64laGUeYo7MwuDwBKKjfEame/
 bkTICVgBhGL+9LT6U7yfi8HQ8quEDG+eJAP8jtvss/zxguJVVECp49UM3uLuJeK3LN0eD/r
 TwlzRYZ06UgzP7aQcJY4A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:5O5QWKsk5zc=:F9Sot73tXmYm09sy21r3xo
 5kwzwtQFSdemysNEsyP4FrGtynbRWXDd4VYg6EKAjCMNwgSGjeI/rUrH4XkdJiq+Jdwoc+V+7
 M5L+kLb2jQBnlW+76wE+wDcmmEVkKMz0c0x/qWj0Qt/JftWjUUJWfqtjkY+xupuAHqY2JiLix
 dnvW6+Xz9cKyR99AB92oDd6GwU/smuxyDVlLPbWo03ZypQZIU3cyln2gJeWr9hILxsE6b7Auc
 ij5WocIyMl9w6eiMhrWNyzN7PUvfZaEGSsmVR8hVrJBkiRr/NCI9tcw4DUSna3uQ4+SC+ONXH
 kc9mZM6nhhn0Hi0BOxGY5mst4phlT1FcHDowzt6Sky3VnQYokdRxL2CyaCGLIskUqSLPM9/+G
 lZWdtTpUIga39jRAklKBTPH5b5K1Y2qBcgyBMk5pPWk+iMe3HjLUu0+cXSKdwCRDKhrhXZR/f
 xtIVXXFSwF87EZNkl9DZweyZEJIjmEbBAo+yEUexcPxzYEfdZ6Mnj/TMltkED4P7qLFnpQVik
 hWFqTng3SqDFEzOrb9r87/rdfpGetYSqNvIJtnzwp+MhsQRMbcKRvv1v3ntwFKofXz5GpuS/4
 Zqp/tiyGeKf41CWbxkGQH7yUatMY9zxD8O6B4SxRItgbNTCuasrx+tSlVxCYdoBqRGkl7Ydkh
 RSfAIo1t+T9KivFMh/IvHOwyEyPrWv8tbG6mmCYYjbQBOLpIhWlMURDatcVxovYaKkssxfuod
 sBNn9wsZZO6ccbCk8Hg2sewBTkyeGdlSTlwTFTuFkBu9k1pMU13o1YBqyBdhqGqLHNiFCPgi7
 mGg3hg+VV06TH8QBx0ixICfmCbyAZcFOwC6DWoaAWx1gwkgAnhpLxitvWr7FUe/vSmMKRQZwQ
 pD980HHwQCmIptz/6/p5mKoAhmLqiHY6Z3aey+MbY+KRyDwcX2IUpMYtsKs1RgCYsGBIKgiN/
 pFGY7Vxf9z98aMCc9ZsuS4GXfL+3acn0PQkmOcPKpFisp2h/3RJHcK8yNqFVv//kupY1TObmC
 4ExXR4soPM65INPj2lIcC2ABask2PP9u8RfULhIjjkNkaoDImZvZA9e6kUINKRRzDF9zD39g/
 trmU6SywkjvN+FtjCYusTY9mqqAmNUd3bDEiGVm1QAxMmrnjzyRSPoESJ3NUEArD39A4yYd1R
 ByPtMVG0KCeTvWy3ariywX4YkrR5sGgH1mf4pc+1+EjfGsemyoF3BkKmczL5rIrS7dFQCZyRy
 UtqYaL5IKW2hVWHjVY2u5xINskCHp8AxaG7eN8FQwR85JbKi/R6pHN7gtNiBC/xQh7Nd6kgnJ
 XvksHyqC
X-Spam-Score: 2.9 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > I hope Martin will help us out here. If he only could (I
 don't use Emacs for images). On my MSYS 64 bit build,
 I can't display splash.svg
 getting the somewhat vague error Using vacuous schema Type C-c C-c or C-c
 C-x to view the image as an image or hex. Cannot display image: (Invalid
 image specification) 
 Content analysis details:   (2.9 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [46.125.249.114 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [212.227.17.21 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 37630
Cc: 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.9 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > I hope Martin will help us out here. If he only could (I
    don't use Emacs for images). On my MSYS 64 bit build, I can't display splash.svg
    getting the somewhat vague error Using vacuous schema Type C-c C-c or C-c
    C-x to view the image as an image or hex. Cannot display image: (Invalid
   image specification) 
 
 Content analysis details:   (1.9 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [46.125.249.114 listed in zen.spamhaus.org]
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
                             low trust
                             [212.227.17.21 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > I hope Martin will help us out here.

If he only could (I don't use Emacs for images).  On my MSYS 64 bit
build, I can't display splash.svg getting the somewhat vague error

Using vacuous schema
Type C-c C-c or C-c C-x to view the image as an image or hex.
Cannot display image: (Invalid image specification)

When I instead try to display some jpg image here via C-x C-f I first
get a separate frame which is slightly larger than that image: When I
now do M-x image-mode-fit-frame in that frame, the frame resizes as
expected without any cropping.

Looking at the code of 'image-mode-fit-frame' I can't find anything
wrong with

	  (set-frame-height frame (+ (ceiling (cdr size))
				     height (- inner-height)))

and would be surprised if this failed unless some frame properties
changed in between the 'frame-height' and the 'window-inside-edges'
calls.  Maybe it's also the strange saving modus that interferes in
your setups.  The

			       (list (cons (frame-width)
					   (frame-height))

doesn't look like TRT when FRAME is not the selected frame but so far
I have no idea how this code is supposed to behave at all.  In either
case, make sure the 'image-mode-saved-params' parameter is nil before
calling 'image-mode-fit-frame'.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 7 Oct 2019 16:25:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 12:25:52 2019
Received: from localhost ([127.0.0.1]:49006 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHVpY-00072u-EZ
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2019 12:25:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iHVpX-00072j-B0
 for 37630 <at> debbugs.gnu.org; Mon, 07 Oct 2019 12:25:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53438)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iHVpS-0000AK-7X; Mon, 07 Oct 2019 12:25:46 -0400
Received: from [176.228.60.248] (port=1709 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iHVpR-0001lC-8e; Mon, 07 Oct 2019 12:25:45 -0400
Date: Mon, 07 Oct 2019 19:25:40 +0300
Message-Id: <83sgo4zfnf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <871rvp86ks.fsf@HIDDEN> (message from Lars Ingebrigtsen on Mon, 
 07 Oct 2019 07:31:31 +0200)
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN> <871rvp86ks.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37630
Cc: 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: 37630 <at> debbugs.gnu.org
> Date: Mon, 07 Oct 2019 07:31:31 +0200
> 
> I've looked at what's different in a non-toolkit version and the toolkit
> version that's relevant here.
> 
> If I say
> 
> (window-inside-edges)
> => (0 0 81 41)
> 
> and look at how many lines are displayed in this window (which is as
> tall as the fram), it's 41 lines, i.e., (- 41 0).
> 
> In the non-toolkit version, I get
> 
> => (1 2 92 42)
> 
> so the window should be (- 42 2) => 40 lines tall, but it's actually 39
> lines tall.

I hope Martin will help us out here.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 7 Oct 2019 05:31:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 01:31:37 2019
Received: from localhost ([127.0.0.1]:47259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHLcO-0008Gq-Sf
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2019 01:31:37 -0400
Received: from quimby.gnus.org ([80.91.231.51]:57242)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iHLcN-0008Gi-EA
 for 37630 <at> debbugs.gnu.org; Mon, 07 Oct 2019 01:31:35 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iHLcJ-0006M3-II; Mon, 07 Oct 2019 07:31:33 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN>
Date: Mon, 07 Oct 2019 07:31:31 +0200
In-Reply-To: <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN> (Eli Zaretskii's
 message of "Mon, 07 Oct 2019 08:10:29 +0300")
Message-ID: <871rvp86ks.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: I've looked at what's different in a non-toolkit version and
 the toolkit version that's relevant here. If I say (window-inside-edges)
 => (0 0 81 41) 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37630
Cc: 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I've looked at what's different in a non-toolkit version and the toolkit
version that's relevant here.

If I say

(window-inside-edges)
=> (0 0 81 41)

and look at how many lines are displayed in this window (which is as
tall as the fram), it's 41 lines, i.e., (- 41 0).

In the non-toolkit version, I get

=> (1 2 92 42)

so the window should be (- 42 2) => 40 lines tall, but it's actually 39
lines tall.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 7 Oct 2019 05:15:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 01:15:56 2019
Received: from localhost ([127.0.0.1]:47247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHLNE-0006gl-Dt
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2019 01:15:56 -0400
Received: from quimby.gnus.org ([80.91.231.51]:56964)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iHLNC-0006ej-NR
 for 37630 <at> debbugs.gnu.org; Mon, 07 Oct 2019 01:15:55 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iHLN9-0006BI-Au; Mon, 07 Oct 2019 07:15:53 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
 <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN>
Date: Mon, 07 Oct 2019 07:15:50 +0200
In-Reply-To: <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN> (Eli Zaretskii's
 message of "Mon, 07 Oct 2019 08:10:29 +0300")
Message-ID: <87a7ad87ax.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > Could be, but please
 try a build with Emacs-generated ("native") tool > bar, before we decide
 that it's Windows specific. Ah, with --with-x-toolkit=no I can reproduce the
 bug: Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37630
Cc: 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> Could be, but please try a build with Emacs-generated ("native") tool
> bar, before we decide that it's Windows specific.

Ah, with --with-x-toolkit=no I can reproduce the bug:


--=-=-=
Content-Type: image/jpeg
Content-Disposition: inline; filename=fit-no.jpg
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/plain


-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 7 Oct 2019 05:10:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 07 01:10:40 2019
Received: from localhost ([127.0.0.1]:47239 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHLI8-0005aH-9H
	for submit <at> debbugs.gnu.org; Mon, 07 Oct 2019 01:10:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47989)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iHLI5-0005a4-GL
 for 37630 <at> debbugs.gnu.org; Mon, 07 Oct 2019 01:10:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:43871)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iHLI0-0006Jv-E1; Mon, 07 Oct 2019 01:10:32 -0400
Received: from [176.12.218.44] (port=51563 helo=[10.164.127.211])
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iHLHz-00087y-NM; Mon, 07 Oct 2019 01:10:32 -0400
Date: Mon, 07 Oct 2019 08:10:29 +0300
User-Agent: K-9 Mail for Android
In-Reply-To: <877e5hb3yo.fsf@HIDDEN>
References: <83v9t34kxv.fsf@HIDDEN> <877e5hb3yo.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
To: Lars Ingebrigtsen <larsi@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <01C6CC54-E926-470A-9736-41498FC7A25F@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37630
Cc: 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On October 7, 2019 6:59:43 AM GMT+03:00, Lars Ingebrigtsen <larsi@gnus=2Eor=
g> wrote:
> Eli Zaretskii <eliz@gnu=2Eorg> writes:
>=20
> > To reproduce:
> >
> >   emacs -Q
> >   C-x C-f etc/images/splash=2Esvg
> >   M-x image-mode-fit-frame RET
> >
> > The last command is documented to "fit FRAME to the current image",
> > but it doesn't: the result shows the image only partially=2E
>=20
> I tried this on GNU/Linux, and it looks OK to me:

Could be, but please try a build with Emacs-generated ("native") tool bar,=
 before we decide that it's Windows specific=2E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at 37630 <at> debbugs.gnu.org:


Received: (at 37630) by debbugs.gnu.org; 7 Oct 2019 03:59:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 06 23:59:50 2019
Received: from localhost ([127.0.0.1]:47137 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iHKBa-0003hH-84
	for submit <at> debbugs.gnu.org; Sun, 06 Oct 2019 23:59:50 -0400
Received: from quimby.gnus.org ([80.91.231.51]:55290)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iHKBX-0003h8-8V
 for 37630 <at> debbugs.gnu.org; Sun, 06 Oct 2019 23:59:48 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iHKBT-0005Mw-Fj; Mon, 07 Oct 2019 05:59:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#37630: 27.0.50; image-mode-fit-frame doesn't
References: <83v9t34kxv.fsf@HIDDEN>
Date: Mon, 07 Oct 2019 05:59:43 +0200
In-Reply-To: <83v9t34kxv.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 05 Oct
 2019 12:10:20 +0300")
Message-ID: <877e5hb3yo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: > To reproduce: > >
 emacs
 -Q > C-x C-f etc/images/splash.svg > M-x image-mode-fit-frame RET > > The
 last command is documented to "fit FRAME to the current image", > but it
 doesn't: the result shows t [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37630
Cc: 37630 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> To reproduce:
>
>   emacs -Q
>   C-x C-f etc/images/splash.svg
>   M-x image-mode-fit-frame RET
>
> The last command is documented to "fit FRAME to the current image",
> but it doesn't: the result shows the image only partially.

I tried this on GNU/Linux, and it looks OK to me:


--=-=-=
Content-Type: image/jpeg
Content-Disposition: inline; filename=fit.jpg
Content-Transfer-Encoding: base64
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==
--=-=-=
Content-Type: text/plain


>   M-x image-mode-fit-frame RET
>
> This should return the frame to its original dimensions, but again
> doesn't.

I got the original dimensions here.

Could this be something that works differently under Windows?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Oct 2019 09:10:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 05 05:10:36 2019
Received: from localhost ([127.0.0.1]:43752 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iGg5E-0006ac-96
	for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 05:10:36 -0400
Received: from lists.gnu.org ([209.51.188.17]:44891)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iGg5C-0006aB-Uh
 for submit <at> debbugs.gnu.org; Sat, 05 Oct 2019 05:10:35 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34579)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>) id 1iGg5B-0004p2-KJ
 for bug-gnu-emacs@HIDDEN; Sat, 05 Oct 2019 05:10:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.2 required=5.0 tests=ALL_TRUSTED,BAYES_50
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36341)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iGg5B-0005Ef-GF
 for bug-gnu-emacs@HIDDEN; Sat, 05 Oct 2019 05:10:33 -0400
Received: from [176.228.60.248] (port=2107 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>) id 1iGg57-0003Am-QZ
 for bug-gnu-emacs@HIDDEN; Sat, 05 Oct 2019 05:10:31 -0400
Date: Sat, 05 Oct 2019 12:10:20 +0300
Message-Id: <83v9t34kxv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; image-mode-fit-frame doesn't
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

To reproduce:

  emacs -Q
  C-x C-f etc/images/splash.svg
  M-x image-mode-fit-frame RET

The last command is documented to "fit FRAME to the current image",
but it doesn't: the result shows the image only partially.

  M-x image-mode-fit-frame RET

This should return the frame to its original dimensions, but again
doesn't.

It seems like the command does its documented job only if the frame
has no tool bar and no menu bar.  IOW, if you invoke Emacs as in
"emacs -Q -D", the above recipe produces the expected results.  This
could be a documentation bug: perhaps this command was not supposed to
work in frames with tool bar and menu bar.


In GNU Emacs 27.0.50 (build 1459, i686-pc-mingw32)
 of 2019-10-05 built on HOME-C4E4A596F7
Repository revision: bbfa9995ff3bdb8a00fe3082bc3249cc1e68e1ab
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 5.1.2600
System Description: Microsoft Windows XP Service Pack 3 (v5.1.0.2600)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Scanning for dabbrevs...done
user-error: No dynamic expansion for ‘image-mode-fit’ found

Configured using:
 'configure -C --prefix=/d/usr --with-wide-int --with-modules
 --enable-checking=yes,glyphs 'CFLAGS=-O0 -gdwarf-4 -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1255

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr dabbrev emacsbug message rmc puny dired
dired-loaddefs format-spec rfc822 mml easymenu mml-sec password-cache
epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date subr-x seq byte-opt gv bytecomp
byte-compile cconv mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader cl-loaddefs cl-lib sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel dos-w32 ls-lisp
disp-table term/w32-win w32-win w32-vars term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads w32notify w32
lcms2 multi-tty make-network-process emacs)

Memory information:
((conses 16 51337 9062)
 (symbols 48 7208 1)
 (strings 16 18894 2211)
 (string-bytes 1 535283)
 (vectors 16 9936)
 (vector-slots 8 130131 10194)
 (floats 8 23 23)
 (intervals 40 258 10)
 (buffers 888 11))




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37630; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 9 Oct 2019 18:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.